<div class="row">
  <div class="col-12">
    <div class="card box-shadow mb-4">
      <div class="card-header">
        <h2>Search</h2>
      </div>
      <div class="card-body">
        <form [formGroup]="formGroup">
          <div class="form-row">
            <div class="col-auto">
              <button class="btn btn-primary fix-width" id="btnSearch" (click)="searchEvents()">
                Search
                <img src="assets/img/spinner.gif" [hidden]="!isLoading" />
              </button>
            </div>
            <div class="col-auto">
              <label class="col-form-label">events from</label>
            </div>
            <div class="col-2">
              <input
                id="inputStartDate"
                formControlName="startDate"
                #startDate
                type="text"
                placeholder="Start Date"
                class="form-control"
                (bsValueChange)="searchOptionChanged()"
                bsDatepicker
                [bsConfig]="{ dateInputFormat: 'YYYYMMDD' }"
              />
            </div>
            <div class="col-auto">
              for
            </div>
            <fieldset>
              <div class="col-auto">
                <div class="form-check">
                  <label class="form-check-label clickable">
                    <input
                      class="form-check-input"
                      type="radio"
                      id="rdNext"
                      name="searchType"
                      formControlName="searchType"
                      value="NEXT"
                      (change)="searchOptionChanged()"
                    />
                    next
                  </label>
                </div>
                <div class="form-check">
                  <label class="form-check-label clickable">
                    <input
                      class="form-check-input"
                      type="radio"
                      id="rdPrev"
                      name="searchType"
                      formControlName="searchType"
                      value="PREV"
                      (change)="searchOptionChanged()"
                    />
                    previous
                  </label>
                </div>
              </div>
            </fieldset>
            <fieldset>
              <div class="col-auto">
                <div class="form-check">
                  <label class="form-check-label clickable">
                    <input
                      class="form-check-input"
                      type="radio"
                      id="rdWeek"
                      name="dateRange"
                      formControlName="dateRange"
                      value="WEEK"
                      (change)="searchOptionChanged()"
                    />
                    One Week
                  </label>
                </div>
                <div class="form-check">
                  <label class="form-check-label clickable">
                    <input
                      class="form-check-input"
                      type="radio"
                      id="rdMonth"
                      name="dateRange"
                      formControlName="dateRange"
                      value="MONTH"
                      (change)="searchOptionChanged()"
                    />
                    One Month
                  </label>
                </div>
                <div class="form-check">
                  <label class="form-check-label clickable">
                    <input
                      class="form-check-input"
                      type="radio"
                      name="gridRadios"
                      id="rdQuarter"
                      name="dateRange"
                      formControlName="dateRange"
                      value="QUARTER"
                      (change)="searchOptionChanged()"
                    />
                    One Quarter
                  </label>
                </div>
              </div>
            </fieldset>
          </div>
        </form>
      </div>
    </div>
  </div>
</div>
<div class="row">
  <div class="col-12">
    <div class="card box-shadow mb-4">
      <div class="card-header">
        <h2 *ngIf="hasEvents">{{ totalOfEvents }} Events were Found</h2>
        <h2 *ngIf="!hasEvents && !error">Can not find any events</h2>
      </div>
      <div class="card-body">
        <div *ngIf="error">{{ error }}</div>
        <table *ngIf="hasEvents" class="table table-hover">
          <thead>
            <tr>
              <th>Date</th>
              <th>Type</th>
              <th>Summary</th>
              <th>Metric</th>
            </tr>
          </thead>
          <tbody>
            <tr *ngFor="let e of pageContent" class="clickable" (click)="showDetails(e.id)">
              <td>{{ e.event_date }}</td>
              <td>{{ e.event_type }}</td>
              <td>{{ e.event_summary }}</td>
              <td>{{ e.event_size }}</td>
            </tr>
          </tbody>
        </table>
      </div>
    </div>
  </div>
  <div class="col-xs-12 col-12" *ngIf="hasEvents">
    <pagination [maxSize]="10" [totalItems]="totalOfEvents" (pageChanged)="pageChanged($event)" [itemsPerPage]="25">
    </pagination>
  </div>
</div>

<ng-template #modalTemplate>
  <div class="modal-header">
    <h4 class="modal-title pull-left">Event Details</h4>
    <button type="button" class="close pull-right" aria-label="Close" (click)="modalRef.hide()">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <div *ngIf="selectedEvent" [innerHtml]="selectedEvent.event_details"></div>
  </div>
</ng-template>
